/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package practiceschedule

import (
	e "simrs-vx/internal/domain/main-entities/practice-schedule"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.PracticeSchedule) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Doctor_Code = inputSrc.Doctor_Code
	data.Unit_Code = inputSrc.Unit_Code
	data.Day_Code = inputSrc.Day_Code
	data.StartTime = inputSrc.StartTime
	data.EndTime = inputSrc.EndTime
}
